import Component from '../../component.js'
import CoEuiIconColorPathNumber from './eui-icon-color-path-number.js'

export default class CoEuiIconColor extends Component {
    constructor(parent) {
      let selector = '*[self::eui-icon-colored  or self::span[@euiIconColored] or [@euiIconColored]]';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components-next/src/lib/components/atoms/eui-icon-color/eui-icon-color.component.ts
    }
    get span() {
      return this.currentPath + '//span[contains(@class, "iconClass")]';
    }
    get euiIconColorPathNumberCO() {
      return new CoEuiIconColorPathNumber(this.span);
    }
}


